Package org.mariadb.jdbc.plugin.authentication.standard

# Class ParsecPasswordPluginTool

java.lang.Object
org.mariadb.jdbc.plugin.authentication.standard.ParsecPasswordPluginTool

public class ParsecPasswordPluginTool extends Object
Parsec password plugin utility

## Constructor Summary

Constructors
Constructor
Description
`ParsecPasswordPluginTool()`

## Method Summary

Modifier and Type
Method
Description
`static byte[]`
`process(byte[] rawPrivateKey)`
Bouncy Castle implementation to get raw public key from raw private key

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ParsecPasswordPluginTool

public ParsecPasswordPluginTool()

## Method Details

### process

public static byte[] process(byte[] rawPrivateKey) throws SQLException, IOException, InvalidAlgorithmParameterException, NoSuchAlgorithmException
Bouncy Castle implementation to get raw public key from raw private key

Parameters:
  `rawPrivateKey` - raw ed25519 private key
Returns:
  raw public key
Throws:
  `SQLException` - exception
  `IOException` - exception
  `InvalidAlgorithmParameterException` - exception
  `NoSuchAlgorithmException` - exception